%global momorel 1
Summary:   Library for AppStream metadata
Name:      libappstream-glib
Group:	   Development/Tools
Version:   0.7.9
Release: %{momorel}m%{?dist}
License:   LGPLv2+
URL:       http://people.freedesktop.org/~hughsient/appstream-glib/
Source0:   http://people.freedesktop.org/~hughsient/appstream-glib/releases/appstream-glib-%{version}.tar.xz
NoSource: 0

BuildRequires: glib2-devel >= 2.16.1
BuildRequires: libtool
BuildRequires: docbook-utils
BuildRequires: gtk-doc
BuildRequires: gobject-introspection-devel
BuildRequires: gperf
BuildRequires: libarchive-devel >= 3.2
BuildRequires: libsoup-devel
BuildRequires: gdk-pixbuf2-devel
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libgcab1-devel

# for the builder component
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gtk3-devel
BuildRequires: pango-devel
BuildRequires: rpm-devel
BuildRequires: sqlite-devel

# for the manpages
BuildRequires: libxslt
BuildRequires: docbook-style-xsl

Obsoletes: appdata-tools
Provides: appdata-tools

%description
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package devel
Summary: GLib Libraries and headers for appstream-glib
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
GLib headers and libraries for appstream-glib.

%package builder
Summary: Library and command line tools for building AppStream metadata
Requires: %{name}%{?_isa} = %{version}-%{release}

%description builder
This library and command line tool is used for building AppStream metadata
from a directory of packages.

%package builder-devel
Summary: GLib Libraries and headers for appstream-builder
Requires: %{name}-builder%{?_isa} = %{version}-%{release}

%description builder-devel
GLib headers and libraries for appstream-builder.

%prep
%setup -q -n appstream-glib-%{version}

%build
%meson \
    -Dgtk-doc=true \
    -Dstemmer=true \
    -Drpm=false \
    -Ddep11=false
%meson_build

%install
rm -rf %{buildroot}

%meson_install

%find_lang appstream-glib

%post -p /sbin/ldconfig
%post builder -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%postun builder -p /sbin/ldconfig

%files -f appstream-glib.lang
%doc README.md AUTHORS NEWS COPYING
%{_libdir}/libappstream-glib.so.8*
%{_libdir}/girepository-1.0/*.typelib
%{_bindir}/appstream-util
%{_bindir}/appstream-compose
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/appstream-util
%{_mandir}/man1/appstream-util.1.bz2
%{_mandir}/man1/appstream-compose.1.bz2

%files devel
%{_libdir}/libappstream-glib.so
%{_libdir}/pkgconfig/appstream-glib.pc
%dir %{_includedir}/libappstream-glib
%{_includedir}/libappstream-glib/*.h
%{_datadir}/gtk-doc/html/appstream-glib
%{_datadir}/gir-1.0/AppStreamGlib-1.0.gir
%{_datadir}/aclocal/*.m4
%{_datadir}/installed-tests/appstream-glib/*.test
%{_datadir}/gettext/its/appdata.its
%{_datadir}/gettext/its/appdata.loc

%files builder
%doc COPYING
%{_bindir}/appstream-builder
%{_datadir}/bash-completion/completions/appstream-builder
%{_libdir}/asb-plugins-5/*.so
%{_libdir}/libappstream-builder.so.8*
%{_mandir}/man1/appstream-builder.1.bz2

%files builder-devel
%doc COPYING
%{_libdir}/libappstream-builder.so
%{_libdir}/pkgconfig/appstream-builder.pc
%dir %{_includedir}/libappstream-builder
%{_includedir}/libappstream-builder/*.h
%{_datadir}/gir-1.0/AppStreamBuilder-1.0.gir

%changelog
* Sun Jul 01 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.9-1m)
- update 0.7.9

* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.13-1m)
- update 0.6.13

* Sat Mar 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.10-2m)
- Obsoletes appdata-tools

* Sat Mar 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.10-1m)
- update 0.6.10

* Sat Jan 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.7-1m)
- update 0.6.7

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.0-1m)
- import from fedora

